# -------------------------------------------
# Called By: portal_ignite_test_loop
# File Name: 1
# File Purpose: Part of the portal ignition sequence
# Created By: Zaffre
# 
# Created On: 2025.01.24
# Last Modified On: 2025.02.26
# Last Modified By: Zaffre
#
# Credit to:
#
# Comments:
# -------------------------------------------

#Portal alignment assignment
execute as @e[type=marker,tag=ancient_city_portal_core,tag=!ns,tag=!ew] at @s if block ~ ~ ~10.5 reinforced_deepslate run tag @s add ew
execute as @e[type=marker,tag=ancient_city_portal_core,tag=!ns,tag=!ew] at @s if block ~10.5 ~ ~ reinforced_deepslate run tag @s add ns


tag @e[type=marker,tag=ancient_city_portal_core,distance=..2,limit=1] add igniting
tag @e[type=marker,tag=ancient_city_portal_core,distance=..2,limit=1] remove inactive
tag @e[type=marker,tag=ancient_city_portal_core,distance=..2,limit=1] remove active

execute as @e[type=marker,tag=ancient_city_portal_core,tag=igniting,tag=ew] at @s run particle minecraft:firework ^ ^ ^ 0 2 5 0.05 150
execute as @e[type=marker,tag=ancient_city_portal_core,tag=igniting,tag=ew] at @s run particle minecraft:soul_fire_flame ^ ^ ^ 0 2 5 0.05 30

execute as @e[type=marker,tag=ancient_city_portal_core,tag=igniting,tag=ns] at @s run particle minecraft:firework ^ ^ ^ 5 2 0 0.05 150
execute as @e[type=marker,tag=ancient_city_portal_core,tag=igniting,tag=ns] at @s run particle minecraft:soul_fire_flame ^ ^ ^ 5 2 0 0.05 30


execute at @e[type=marker,tag=ancient_city_portal_core,tag=igniting] run playsound minecraft:entity.lightning_bolt.thunder block @a ^ ^ ^ 50 1.5
execute at @e[type=marker,tag=ancient_city_portal_core,tag=igniting] run playsound minecraft:entity.lightning_bolt.thunder block @a ^ ^ ^ 50 1.5

schedule function zaffre_structures:ignition_sequence/2 2s
